---
title: text-align-last
slug: Web/CSS/text-align-last
tags:
  - CSS
  - CSS Property
  - CSS Text
  - Experimental
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The<strong> <code>text-align-last</code></strong> CSS property sets how the last line of a block or a line, right before a forced line break, is aligned.</p>

<div>{{EmbedInteractiveExample("pages/css/text-align-last.html")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">/* Keyword values */
text-align-last: auto;
text-align-last: start;
text-align-last: end;
text-align-last: left;
text-align-last: right;
text-align-last: center;
text-align-last: justify;

/* Global values */
text-align-last: inherit;
text-align-last: initial;
text-align-last: unset;
</pre>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>auto</code></dt>
 <dd>The affected line is aligned per the value of {{cssxref("text-align")}}, unless {{cssxref("text-align")}} is <code>justify</code>, in which case the effect is the same as setting <code>text-align-last</code> to <code>start</code>.</dd>
 <dt><code>start</code></dt>
 <dd>The same as <code>left</code> if direction is left-to-right and <code>right</code> if direction is right-to-left.</dd>
 <dt><code>end</code></dt>
 <dd>The same as <code>right</code> if direction is left-to-right and <code>left</code> if direction is right-to-left.</dd>
 <dt><code>left</code></dt>
 <dd>The inline contents are aligned to the left edge of the line box.</dd>
 <dt><code>right</code></dt>
 <dd>The inline contents are aligned to the right edge of the line box.</dd>
 <dt><code>center</code></dt>
 <dd>The inline contents are centered within the line box.</dd>
 <dt><code>justify</code></dt>
 <dd>The text is justified. Text should line up their left and right edges to the left and right content edges of the paragraph.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{CSSInfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Justifying_the_last_line">Justifying the last line</h3>

<div class="hidden">
<pre class="brush: html notranslate">&lt;p&gt;Integer elementum massa at nulla placerat varius. Suspendisse in libero risus, in interdum massa. Vestibulum ac leo vitae metus faucibus gravida ac in neque. Nullam est eros, suscipit sed dictum quis, accumsan a ligula.&lt;/p&gt;
</pre>
</div>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">p {
  font-size: 1.4em;
  text-align: justify;
  text-align-last: center;
}</pre>

<h4 id="Results">Results</h4>

<p>{{EmbedLiveSample('Justifying_the_last_line','560')}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Text', '#text-align-last-property', 'text-align-last')}}</td>
   <td>{{Spec2('CSS3 Text')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("css.properties.text-align-last")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref("text-align")}}</li>
</ul>
